// Author: Blake Wischer
// Hour 6
// Programming Assignment 13 Program 4.4's PairOfDice class

// Pair Of Dice class falls under the GNU General Public License.
public class PairOfDice
{
      // Initalizes needed variables as d1, and d2.
      private int d1;
      private int d2;

      // Creates the Pair of Dice and rolls them the first time.
      public PairOfDice ()
      {
      	roll ();
      }

      // Rolls the 'dice' variables between 1 and 6.
      public void roll ()
      {
      	d1 = (int) (Math.random () * 6) + 1;
      	d2 = (int) (Math.random () * 6) + 1;
      }

      // Returns Dice 1's value.
      public int getDice1 ()
      {
      	return d1;
      }
      
      // Returns Dice 2's value.
      public int getDice2 ()
      {
      	return d2;	
      }
      
      // Checks to see if the two dice, d1 and d2, are boxcars, both 6s.
      public boolean isBoxCars ()
      {
      	boolean result;
      	if (getDice1() == 6 && getDice2() == 6)
      		result = true;
      	else
      		result = false;
      	return result;
      }
      
      // Checks to see if the two dice, d1 and d2, are snake eyes, both 1s.
      public boolean isSnakeEyes ()
      {
      	boolean result;
      	if (getDice1() == 1 && getDice2() == 1)
      		result = true;
      	else
      		result = false;
      	return result;
      }
          
      // Returns the values of the dice formatted.
      public String toString ()
      {
      	String result;
      	result = "Dice 1: " + getDice1 () + " and Dice 2: " + getDice2 ();
      	return result;
      }
      
}